Bug 508711 - attach-device: pci error
attach-device: pci error
Status: CLOSED NEXTRELEASE
Product: Virtualization Tools
Classification: Community
Component: libvirt (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Veillard
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-29 11:01 EDT by Marc Morata Fité
Modified: 2010-03-16 13:21 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-30 07:45:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marc Morata Fité 2009-06-29 11:01:56 EDT
Description of problem:
attach-device fails with a pci error. I've found 2 kinds of error:


error1:
17:33:49.256: debug : qemudDomainAttachPciDiskDevice:3989 : 4b7728d2-3e69-43d6-a107-344566c43085: pci_add reply: QEMU 0.10.0 monitor - type 'help' for more information

error2:
17:35:27.553: debug : qemudDomainAttachPciDiskDevice:3989 : 4b7728d2-3e69-43d6-a107-344566c43085: pci_add reply: pci_add 0 storage file=/dev/disk/by-path/ip-192.168.1.221:3260-iscsi-iqn.1986-03.com.sun:02:5d
a9fe7e-faa6-e672-e9a1-cc7582f19650-lun-0,if=scsi
Invalid pci address


Version-Release number:
0.6.4
Comment 1 Daniel Berrange 2009-07-30 07:45:44 EDT
QEMU changed monitor syntax for PCI attach, so we've added support for the new syntax in libvirt


commit 326ecb78145cfeb7706ef0dcd521b19d934950e7
Author: Daniel P. Berrange <berrange@redhat.com>
Date:   Mon Jul 6 15:58:55 2009 +0100

    Fix PCI device hotplug/unplug with newer QEMU
    
    * src/qemu_driver.c: Try new monitor syntax for hotplug first. If
      that fails fallback to old KVM specific syntax


This will be included in the next 0.7.0 release

Note You need to log in before you can comment on or make changes to this bug.